function mtv_getVideoFromUrl(clip)
	local url = 'http://www.mtv.com/player/includes/mediaGen.jhtml?uri=mgid:uma:video:mtv.com:'..clip..'&vid='..clip..'&ref={ref}&viewUri=mgid:uma:video:mtv.com:'..clip;
	local s = GetURL(url);
	local a = 0;
	local b = 0;
	local rtmp= "";
	local stream = "";
	local src="";
	local isE="";
	local rtmpString ='';
	Log (url);
	a=string.find(s,'<src>',0);
	b=string.find(s,'</src>',a);
	rtmp=string.gsub(string.sub(s, a+5, b - 1), "^%s*(.-)%s*$", "%1");
	Log(rtmp);
	isE=string.find(rtmp,'rtmpe',0);
	if not isE then
		a=string.find(rtmp,'/mtvnshrdstor',0);
		if not a then
			return '';
		end;
		b=string.find(rtmp,'.flv');
		if not b then
			return '';
		end;
		stream=string.gsub(string.sub(rtmp, 0,a-1), "^%s*(.-)%s*$", "%1");

		src='flv'..string.gsub(string.sub(rtmp, a,b-1), "^%s*(.-)%s*$", "%1");

		rtmpString = stream .. '|<rtmpMedia version="1.0" super="1"><mediaPath>' .. src .. '</mediaPath><connectParams><swfUrl>' .. 'http://media.mtvnservices.com/player/release/?v=3.9.0' .. '</swfUrl></connectParams></rtmpMedia>';
	end;

	return rtmpString;
	--mtv_GetAndPlay('test','test','100');
end;


function mtv_getArtistsSongs(artist,artistTitle)
	local s = GetURL('http://www.mtv.com/music/artist/'..artist..'/videos.jhtml');
	local clip = "";
	local title = "";
	local pic = "";
	local a = 0;
	local b = 0;
	local c = 0;
	for i = 1, 50 do
		a=string.find(s,'<div class="title1">',b);

		if not a then
			break;
		end;
		b = string.find(s,'/',a+1);
		c = string.find(s,'/',b+1);
		b = string.find(s,'/',c+1);

		c = string.find(s,'/',b+1);
		clip=string.gsub(string.sub(s, b+1, c - 1), "^%s*(.-)%s*$", "%1");

		a = string.find(s,'<img src=',c);
		b = string.find(s,'height',a);
		pic = string.gsub(string.sub(s, a+10, b - 2), "^%s*(.-)%s*$", "%1");
		--Log('pic-'..pic);

		a=string.find(s,'alt="',c);
		b=string.find(s,'"/>',a+1);
		title = string.gsub(string.sub(s, a+5, b - 1), "^%s*(.-)%s*$", "%1");
		--Log(title..'-'..i);

		local rtmpString=mtv_getVideoFromUrl(clip);
		if rtmpString ~= '' then
			--player/embed/assets/images/bug.png
			VideoResource(artistTitle.." - "..title, rtmpString, clip, "http://www.mtv.com"..pic, (100 * 5000));
		end;
		--VirtualFolder(title, "mtv_getVideoFromUrl|".. clip);
	end;
end;




function mtv_getArtists(letter)
	local s = GetURL('http://www.mtv.com/music/artists/browse.jhtml?chars='..letter);
	local clip = "";
	local title = "";
	local a = 0;
	local b = 0;

	local lastArtist = string.find(s,'</ol>');
	for i = 1, 5000 do
		a = string.find(s, '/artist/', b + 1);
			if not a then
				break;
			end;
		if a > lastArtist then
			break;
		end;
		b = string.find(s, '/', a+8);

		clip=string.gsub(string.sub(s, a+8, b - 1), "^%s*(.-)%s*$", "%1");

		a=string.find(s, '">', b + 1);

		b=string.find(s, '</', a + 2);

		title = string.gsub(string.sub(s, a+2, b-1), "^%s*(.-)%s*$", "%1");

		--VirtualFolder(title, "mtv_getArtistsSongs|" ..clip);
                         mtv_getArtistsSongs(clip,title);
	end;
end;


function mtv_getAll_Letters()
	VirtualFolder('A', "mtv_getArtists|" ..'a');
	VirtualFolder('B', "mtv_getArtists|" ..'b');
	VirtualFolder('C', "mtv_getArtists|" ..'c');
	VirtualFolder('D', "mtv_getArtists|" ..'d');
	VirtualFolder('E', "mtv_getArtists|" ..'e');
	VirtualFolder('F', "mtv_getArtists|" ..'f');
	VirtualFolder('G', "mtv_getArtists|" ..'g');
	VirtualFolder('H', "mtv_getArtists|" ..'h');
	VirtualFolder('I', "mtv_getArtists|" ..'i');
	VirtualFolder('J', "mtv_getArtists|" ..'j');
	VirtualFolder('K', "mtv_getArtists|" ..'k');
	VirtualFolder('L', "mtv_getArtists|" ..'l');
	VirtualFolder('M', "mtv_getArtists|" ..'m');
	VirtualFolder('N', "mtv_getArtists|" ..'n');
	VirtualFolder('O', "mtv_getArtists|" ..'o');
	VirtualFolder('P', "mtv_getArtists|" ..'p');
	VirtualFolder('Q', "mtv_getArtists|" ..'q');
	VirtualFolder('R', "mtv_getArtists|" ..'r');
	VirtualFolder('S', "mtv_getArtists|" ..'s');
	VirtualFolder('T', "mtv_getArtists|" ..'t');
	VirtualFolder('U', "mtv_getArtists|" ..'u');
	VirtualFolder('V', "mtv_getArtists|" ..'v');
	VirtualFolder('W', "mtv_getArtists|" ..'w');
	VirtualFolder('X', "mtv_getArtists|" ..'x');
	VirtualFolder('Y', "mtv_getArtists|" ..'y');
	VirtualFolder('Z', "mtv_getArtists|" ..'z');
	VirtualFolder('#', "mtv_getArtists|" ..'.');
end;


mtv_getAll_Letters();
