--Fandango  v1.0.0 (c) 2009 by buckey29
--
--11/24/09 v0.5.0 beta release
--This script may not be redistributed, and is only available for download on Playonplugins.com and playonscripts.com
--
-- This is my first script to share with the community.  I'm open to any suggestions on how to make the parsing faster
-- to reduce wait times.  I may expand in the future to include HD feeds from Fandango as well.
--
-- !! Portions of this code were developed by Hottamale.
-- Thank you to Hottamale, Mopenstein and Viron75.  Your help was invaluable!
--
-- CHANGELOG:
-- 11/25/2009
--		Increased video duration so videos don't quit on PS3.
--		Made an update (thanks Hottamale) to make the script more dynamic (Removed mulitple IF)
--
-- 11/26/2009
--		Modified the code to create VirtualFolders for the videos, then have a VideoResource created
--		to eliminate lag time between menus.


--Standard code: Do a version check with the plugin
if (Version()<500) then
	VirtualFolder("Please update your Scripts Plugin","code:ExecuteFile('http://www.playonplugins.com/index.php/topic,1721.0.html');");
	return;
end;

--(c) 2009 by hottamale
function Scrape_Page(show_url, srch_type, srch_items, s)
	if srch_items ~= "" then
		srch_param = str_split(srch_items, "#!#");
		for i = table.getn(srch_param) + 1, 5 do
			srch_param[i] = "";
		end;
	  else
		srch_param = {"","","","","",""};
	end;
	srch_type = tonumber(srch_type);

	local srch_keys = {{	--1 Get Trailers
							{name = 'fstart', start = "<channel>", startplain = true, lastending = '', required = false, pageend = '5d', sel_end = "5d", skip_end = ''},
							{name = 'title', start = "<title><!", lastending = '' ,ending = "]]", required = true, notfound = "--"},
							{name = 'vidurl', start = "<link>", lastending = '', ending = "</link>", required = true, notfound = ""}
							},
						{
							--2 Get URL (NOT USED)
							{name = 'fstart', start = "extractPlaylist", startplain = true, lastending = "", required=false, pageend = "cvideourl", sel_end = "cvideourl", skip_end = ''},
							{name = 'vidurl', start = "flv", lastending = "http", ending = "5d", required = true, notfound = "Notfound"}}
					  };

	--Store each episode
		local ret_list = {};
		local thumb = "";
		local title = "";
		local desc = "";
		local episode = "";
		local fulltitle = "";
		local vidurl = "";
		local duration = 0;
		local season = "";

		local a = 0;
		local b = 0;
		local c = 0;
		local findall_b = 1;

		local embed = "";
		local embed_end = "";

		local url = "";
		local s = "";
		local no_more = false;
 		local exit_loop = false;
		local exit_save = false;
		local page_end = 0;
		local rowcount = 0;

   		url = show_url;

 	for i = 1, 1 do --Gives me something to break out of
			if s == '' then
				s = GetURL(url);
			end;

            if not s or s == "<error>" then
                ShowMsg("No Page found "..tostring(url));
                no_more = true;
				break;
            end;

            --Move to the start of Show Listing
				if srch_keys[srch_type][1].start ~= "" then
					embed = srch_keys[srch_type][1].start; --find_start;
					b = string.find(s, embed, b + 1, srch_keys[srch_type][1].startplain);
						if not b then
							if srch_keys[srch_type][1].required then
								break;
							end;
							b = 1;
						end;
					findall_b = b;
				end;

			--use reverse search
				if srch_keys[srch_type][1].lastending ~= "" then

					embed = srch_keys[srch_type][1].lastending;
					b = str_findlast(s, embed, b);
					b = b - 10;
				end;

			--Find end of list
				page_end = 0;
				if srch_keys[srch_type][1].pageend ~= "" then
					embed = srch_keys[srch_type][1].pageend;
					page_end = string.find(s, embed, b);
					if not page_end then
						page_end = 0;
					end;
				end;
        for ii = 1, 500 do
            --Loop through selections
			if srch_keys[srch_type][1].startbegin == "true" then  --Restart at beginning each loop
				b = 1;
			end;

			exit_loop = false;
			save_loop = true;
			fcnt = 0;
			local sel_end = 0;
			embed_end = "";
			local show_list = {};

			for k = 2, table.getn(srch_keys[srch_type]) do

				--Find all occurances of an item
				if srch_keys[srch_type][k].findall then

				--Calls find_all function, can be commented out if not needed
					show_list = find_all_items(s, findall_b, srch_keys, show_list, srch_type, k);
					if k == table.getn(srch_keys[srch_type]) then --if last item or only item then exit and save
						exit_save = true;
						break;
					end;

				  else

				--Search for Values
					c = b;

						embed = srch_keys[srch_type][k].start;
						embed_clean = str_replace(embed, "%", ""); --Remove any % signs from search term, for proper len

						a = string.find(s, embed, b + string.len(embed_end));
						if not a then
							if srch_keys[srch_type][k].required then --Required to be found, exit loop, do not look for more
								exit_loop = true;
								break;
							  else
								show_list[srch_keys[srch_type][k].name] = srch_keys[srch_type][k].notfound;
								--If last search and not found move to end of selection
								if k == table.getn(srch_keys[srch_type]) then
									b = string.find(s, srch_keys[srch_type][1].skip_end, b);
								end;
							end;
						  else

						  --Reverse Search
							if srch_keys[srch_type][k].lastending ~= "" then
								embed = srch_keys[srch_type][k].lastending;

								local l = str_findlast(s, embed, a);

								if l then
									a = l;
									b = l + string.len(embed);
								end;
							end;

							if srch_keys[srch_type][k].ending ~= "" then
								embed_end = srch_keys[srch_type][k].ending;
								embed_end_clean = str_replace(embed_end, "%", "");
								b = string.find(s, embed_end, a + string.len(embed_clean));
								--Get Selection End (end of item) on first loop
								if srch_keys[srch_type][1].sel_end ~= "" and k == 2 then
									sel_end = string.find(s, srch_keys[srch_type][1].sel_end, a );
									if not sel_end then
										sel_end = 0;
									end;
								end;
								if b then
									if b > sel_end and sel_end ~= 0 then  --If we pass the end of the item, skip this test
										b = a + string.len(embed_clean);
										if srch_keys[srch_type][k].requiredbutcont then --Required to be found, Continue searching for more
											save_loop = false;
											break;
										end;
									  else
										if b > page_end and page_end ~= 0 then  --If we go past page ending, exit loop
											exit_loop = true;
											break;
										end;
										show_list[srch_keys[srch_type][k].name] = str_html_decode(string.sub(s, a + string.len(embed_clean), b - 1));

										b = b + string.len(embed_end_clean)-2;
									end;
								  else
									b = string.find(s, srch_keys[srch_type][1].skip_end, a + string.len(embed_clean));
									if not b then b = c; end;
								end;
							end;
						end;
				end;
            end;
			findall_b = b;

			if exit_loop then
				break;
			end;

			if save_loop then -- If we exited loop and need to continue looking don't save the data found this loop
				--Load variables with data found
				for k, v in pairs(show_list) do

					if k == "thumb" then
						thumb = v;
					  elseif k == "vidurl" then
						vidurl = v;
					  elseif k == "title" then
						title = v;
					  elseif k == "desc" then
						desc = v;
					  elseif k == "fulltitle" then
						fulltitle = v;
					  elseif k == "episode" then
						episode = tostring(v);
					  elseif k == "id" then
						id = v;
					  elseif k == "season" then
						season = v;
					  elseif k == "duration" then
						duration = v;
					end;
				end;
				show_list = nil;

			--Add any universal data changes here
			--title = str_replace(title, "&apos;", "'");

			--Save scraped data in table
				table.insert(ret_list,{vidurl = vidurl, thumb = thumb, title = title, desc = desc, fulltitle = fulltitle, episode = episode, duration = duration, id = id, season = season});
				--Count number of saved rows, if = maxrowcount then break
				rowcount = rowcount + 1;
				if rowcount == srch_keys[srch_type][1].returnmaxrows then
					break;
				end;
				if exit_save then
					break;
				end;
			end;
		end;
	end;
return ret_list, s;	--send back the table and the searched url text
end;


function find_all_items(s, b, srch_keys, show_list, srch_type, k)
			--Find all of item (requires sel_end to be set to the end of the selected item(s)
				local embed_end = "";

						if srch_keys[srch_type][k].findstart ~= "" then
							show_list[srch_keys[srch_type][k].name] = "";  -- Clear variable

							local embed = srch_keys[srch_type][k].findstart;
							local b = string.find(s, embed, b);

							if srch_keys[srch_type][1].sel_end ~= "" then
								sel_end = string.find(s, srch_keys[srch_type][1].sel_end, b + string.len(embed));
								if not sel_end then
									sel_end = 0;
								end;
							  else
								sel_end = 0;
							end;

							if b then

								for findcnt = 1, 200 do -- Loop through all items (change if needed)
									embed = srch_keys[srch_type][k].start;
									embed_clean = str_replace(embed, "%", ""); --Remove any % signs from search term, for proper len
									a = string.find(s, embed, b + string.len(embed_end));

									if not a then
										if srch_keys[srch_type][k].required then
											--Required to be found, exit loop
											exit_loop = true;
											break;
										  else
											--If last search and not found move to end of selection
											if findcnt == table.getn(srch_keys[srch_type]) then
												b = string.find(s, srch_keys[srch_type][1].skip_end, b);
												if not b then break; end;
											end;
										end;
									  else

										if srch_keys[srch_type][k].ending ~= "" then
											embed_end = srch_keys[srch_type][k].ending;
											embed_end_clean = str_replace(embed_end, "%", "");
											b = string.find(s, embed_end, a + string.len(embed_clean));

											if b then

												if b > sel_end and sel_end ~= 0 then  --If we pass the end of the item, skip this test
													break;
												  else
													--Add split to end of found
													if show_list[srch_keys[srch_type][k].name] ~= "" then
														show_list[srch_keys[srch_type][k].name] = show_list[srch_keys[srch_type][k].name].."#!#";
													end;
													show_list[srch_keys[srch_type][k].name] = show_list[srch_keys[srch_type][k].name]..str_html_decode(string.sub(s, a + string.len(embed_clean), b - 1));
													b = b + string.len(embed_end_clean)-2;
												end;
											  else
												b = string.find(s, srch_keys[srch_type][1].skip_end, a + string.len(embed_clean));
												if not b then
													break;
												end;
											end;
										end;
									end;

								end;
							end;
						end;
	return show_list;
end;




function Get_Trailers(type)

url = "http://www.fandango.com/rss/"..type..".rss";

--	if type == "openingthisweektrailers" then url = "http://www.fandango.com/rss/openingthisweektrailers.rss"
--		elseif  type == "justaddedtrailers" then url = "http://www.fandango.com/rss/justaddedtrailers.rss"
--		elseif  type == "nowplayingtrailers" then url = "http://www.fandango.com/rss/nowplayingtrailers.rss"
--		elseif  type == "comingsoontrailers" then url = "http://www.fandango.com/rss/comingsoontrailers.rss"
--		elseif  type == "featuredtrailers" then url =  "http://www.fandango.com/rss/featuredtrailers.rss"
--		elseif  type == "topfanratedtrailers" then url = "http://www.fandango.com/rss/topfanratedtrailers.rss"
--		elseif  type == "entertainmentnewsvideo" then url = "http://www.fandango.com/rss/entertainmentnewsvideo.rss"
--	end;

local ret_list = Scrape_Page(url, 1, "", "");

	for i = 1, table.getn(ret_list) do

		-- Clean up data.  Couldn't seem to use [ or ] in the search.

		ret_list[i].title = str_replace(ret_list[i].title, "[CDATA[", "");

		ret_list[i].vidurl = str_replace(ret_list[i].vidurl,"<![CDATA[","");
		ret_list[i].vidurl = str_replace(ret_list[i].vidurl,"]]>","");

		-- Create a VirtualFolder instead of a VideoResource.  That way the parsing for the URL
		-- only occurs once this Folder is selected.  This eliminates the lag time from searching
		-- for all URL's first.
		--VirtualFolder(ret_list[i].title,"Find_URL|"..ret_list[i].title.."|"..ret_list[i].vidurl);
                          Find_URL(ret_list[i].title, ret_list[i].vidurl);


	end;
end;





function Find_URL(vidtitle, findurl)
	-- Using the URL from the Get_Trailers, pull in that URL so we can parse it.
	local s = GetURL(findurl);

	-- Now, s contains the contents of the URL that we need to look at for the URL of the video.
	s = str_get_between(s, "extractPlaylist", "fandangoPlaylistCount", 0);

	-- Look for "cdn" which is part of the URL we want, get the position.
	-- Then we'll start searching just before that point for "http" and pull out the URL.

	local startpos = str_find(s, "cdn", 1);

	-- Now look for the URL portion.  I do strpos-15 because the "cdn" found above is in the middle of the
	-- string we're looking for so we have to 'rewind'

	s = str_get_between(s, "5b", "%5d%5d", startpos-15);

	-- The URL is encoded so we have to unencode it.
	s = str_unescape(s)

	-- Create the video resource
	VideoResource(vidtitle, s, "", "", 3600000);


	return s

end;

VirtualFolder("Now Playing", "Get_Trailers|nowplayingtrailers");
VirtualFolder("Opening This Week", "Get_Trailers|openingthisweektrailers");
VirtualFolder("Just Added", "Get_Trailers|justaddedtrailers");
VirtualFolder("Coming Soon", "Get_Trailers|comingsoontrailers");
VirtualFolder("Featured", "Get_Trailers|featuredtrailers");
VirtualFolder("Top Fan Rated", "Get_Trailers|topfanratedtrailers");
VirtualFolder("Entertainment News", "Get_Trailers|entertainmentnewsvideo");



